Bug 219663 - [PATCH] Update www/kanboard v1.0.41 -> v1.0.44
Summary: [PATCH] Update www/kanboard v1.0.41 -> v1.0.44
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jochen Neumeister
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2017-05-30 19:54 UTC by Bart Wrobel
Modified: 2017-06-03 17:59 UTC (History)
1 user (show)

See Also:


Attachments
patch to update from 1.0.41 to 1.0.44 (9.08 KB, patch)
2017-05-30 19:54 UTC, Bart Wrobel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bart Wrobel 2017-05-30 19:54:55 UTC
Created attachment 183078 [details]
patch to update from 1.0.41 to 1.0.44

Version 1.0.44 (May 28, 2017)
-----------------------------

Improvements:

* Use datetime field for due date
* Update Docker image to Alpine Linux 3.6
* Add the possibility to pass API token as environment variable for Docker container
* Add wildcard search for task reference field
* Improve automated action TaskAssignColorOnDueDate to update task only when necessary
* Add task and project API formatters
* Update translations

Bug fixes:

* Fix broken user mentions in comment form at the bottom of the task view page
* Ensure project tags are removed when the project is removed
* Avoid PHP notice when regenerating API token for a user
* Fix wrong dropdown menu in group members list
* Show only active users in auto-complete forms (project permissions)
* Check owner existence before to create project

Version 1.0.43 (April 30, 2017)
-------------------------------

Improvements:

* Add "[DUPLICATE]" prefix to duplicated tasks title
* Add sorting by position and start date in task list view
* Update translations

Bug fixes:

* Add missing plugin parameter for search box (Gantt and calendar plugin)
* Fix broken start date button

Version 1.0.42 (April 8, 2017)
------------------------------

New features:

* New restrictions for custom project roles

Improvements:

* Improved dashboard

Breaking Changes:

* Move calendar to external plugin: https://github.com/kanboard/plugin-calendar
* Move Gantt charts to external plugin: https://github.com/kanboard/plugin-gantt
* Move Gravatar to external plugin: https://github.com/kanboard/plugin-gravatar

Bug fixes:

* Fix typo in Sqlite schema
Comment 1 commit-hook freebsd_committer 2017-06-03 17:58:10 UTC
A commit references this bug:

Author: joneum
Date: Sat Jun  3 17:57:38 UTC 2017
New revision: 442510
URL: https://svnweb.freebsd.org/changeset/ports/442510

Log:
  - www/kanboard: Update from 1.0.41 to 1.0.44
  - Changelog: https://github.com/kanboard/kanboard/blob/master/ChangeLog

  PR:				219663
  Submitted by:	Bart Wrobel (maintainer)
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11004

Changes:
  head/UPDATING
  head/www/kanboard/Makefile
  head/www/kanboard/distinfo
  head/www/kanboard/pkg-plist
Comment 2 Jochen Neumeister freebsd_committer 2017-06-03 17:59:35 UTC
Committed, thanks :-)